[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Ekiga

First of all, thank you so much for backporting latest ekiga from squeeze to lenny. I've been looking forward to this for a while. I've been trying ekiga 3.2.6 (amd64) from backports for a few minutes now... I wish I could say it's working well...

- Trying to erase a contact I got a segmentation fault....

- Ekiga fails to play audio during calls (I tried the echo test and it gave me errors when I selected my device from the list, and when I chose default it didn't play anything)...this is puzzling, since when I tried ekiga 2.0.12 from lenny, sound was ok (video was not)...now the situation is reversed...

- I got this error which completely shut down ekiga (got it while hanging up the echo test):
(ekiga:4151): Gtk-CRITICAL **: gtk_file_system_cancel_operation: assertion `GTK_IS_FILE_SYSTEM_HANDLE (handle)' failed

I also got the following messages:

 The program 'ekiga' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 2634 error_code 3 request_code 10 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

(ekiga:4151): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkFileSystemHandle'

Mmm...I've never really succeeded in using any FOSS alternative to skype... :-(
If any of you know something to fix these things let me know....maybe I'm missing a crucial package....(to install I just did aptitude -t lenny-backports install ekiga)



2009/12/18 Jared Johnson <jj3666@gmail.com>
A general question first then the specicfic issue.

-Looking at synaptic (sorted by origin and selecting www.backports.org/main:
How come under the latest version it does not always show the ~bpo version? I made the assumption
that a newer version became available, however going under the properties of several of them this is
not the case.

-I am getting an error updating ekiga, and I know it may be a delay on the build system (I am
running amd64 though), however the package name has a ~ at the end.  Would this cause an issue?
Depends: libpt2.6.5 (>= 2.6.5-1~bpo50+1~) but it is not installable

Matt Taggart wrote:
>> I backported 3.0 a while back and it works with my uvc cam, but I didn't
>> upload it because 3.2 had just been released. I've been meaning to get back
>> to it but haven't had a chance. I'll give it a try tonight. IIRC there were
>> a bunch of depends I had to backport too...
> Uploaded source and amd64. It was a little tricky as it also required
> backporting a newer gcc-4.3 since the one in lenny couldn't build ekiga.
> Hopefully it will autobuild properly for other arches in the next week or
> so, but if it doesn't I can build it for i386 at least.

Reply to: